/**=================================================================================================
Hochschule Luzern - Technik & Architektur                                   Mikrocontroller - HS2012
Copyright 2012 Felix Rohrer                                                     http://hslu.ximit.ch
----------------------------------------------------------------------------------------------------
Project     : Adressverwaltung
Name        : addressConsoleIO.h
Author      : Felix Rohrer <felix.rohrer@stud.hslu.ch>
Version     : 2012-10-19v1.0
Description : Adressverwaltung
              Adressen aus der Konsole einlesen, bestehende ausgeben
==================================================================================================*/
#ifndef ADDRESSCONSOLEIO_H
#define	ADDRESSCONSOLEIO_H

/**
 * Main Menu
 * @param showMainMenu Use Large or Small Menu
 */
void showMenu(int showMainMenu);

/**
 * Show Main Menu Desc: Large
 */
void showMainMenuLarge(void);

/**
 * Show Main Menu Desc: Small
 */
void showMainMenuSmall(void);

/**
 * GUI Add a new Address
 */
void addAddressGUI(void);

/**
 * GUI Save the current AddressList to a File
 */
void saveAddrFileGUI(void);

/**
 * GUI Load Addresses from a File and them to the current AddressList
 */
void readAddrFileGUI(void);

/**
 * GUI Sort Address by Sortmode with a modified (stable!) QuickSort
 * @param mode Sortmode, i.e. NAME, STREET, ZIP or CITY
 */
void sortAddressGUI(sortmode mode);

/**
 * GUI Clear Address List in the Memory (free & re-malloc)
 */
void clearAddressGUI(void);

/**
 * GUI Show one Address (CallBack Function)
 * @param count Index #Number
 * @param addr Addres to display
 */
void displayAddr(int count, address_t* addr);

/**
 * Show the current Address List
 */
void listAddressGUI(void);

#endif	/* ADDRESSCONSOLEIO_H */
